QGIS Application - Bug report #10396
Raster rendering in 2.3 vs 2.2
2014-05-29 02:29 PM - andskog -

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 18813
Description

The raster zooming and panning behavior seems to be different in master than the current 2.2 version. Although not bugs, maybe not
improvements from 2.2 to 2.3.

When zooming in, 2.2 seems to stay at the current level while preparing the new zoomed in map, and then zooms in when ready.
Master (2.3) seems to zoom in, blank the map, and render the new zoomed in map when ready. The 2.3 behavior is less eye pleasing.

Additionally, 2.2 renders the data much faster at my desk.

History

#1 - 2014-05-29 07:58 PM - Martin Dobias

The "old zoomed map -> blank -> new map" is not something specific to raster layers, it may happen also with vectors, it is just more obvious with rasters.

The behaviour will need some updates to make better impression. The reason for it is that first 250 ms, the canvas shows previously rendered map

transformed to the new extent (e.g. zoomed in). Then, the old map is replaced with preview of newly rendered map - which may be still blank at that point,

giving the resulting effect. In the meantime you could increase the refresh ration in Options to a greater value to remove the effect.

Regarding faster/slower rendering, could you provide approximate timings of 2.2 vs 2.3 ? Also, we would need the data you used for the comparison.

#2 - 2014-05-30 01:07 AM - Giovanni Manghi

- Status changed from Open to Feedback

#3 - 2014-05-31 05:47 AM - andskog -

Rendering speed:

Used the DEM+HDF files available at http://dds.cr.usgs.gov/srtm/version2_1/SRTM30/w020n90/
Set project to EPGS 32661 (enabled on-the-fly projection), setting one extent covering the whole dataset in the left part of the canvas, another extent to the

right part. Then using Zoom last / Zoom next for repeated tests.
Produced these averages:

QGIS2.2: 2.7 sec.
QGSI2.3: 4.3-5.3, most results above 5 sec.

#4 - 2014-05-31 05:55 AM - Giovanni Manghi

Then using Zoom last / Zoom next for repeated tests.
here (Linux) it takes no time in zooming_in_out/last/next on both 2.2 and master

#5 - 2014-05-31 11:33 AM - Etienne Tourigny

maybe it's due to different settings, make sure they bot have rendering cache turned on (or off)

#6 - 2014-05-31 12:59 PM - andskog -

It's evident with any raster here. And regardless of map update interval settings. Cache settings are the same in both 2.2 and 2.3 (off). (It also reproduces

when on-the-fly reprojection is turned off) ...

#7 - 2014-06-01 10:19 AM - Giovanni Manghi

andskog - wrote:

It's evident with any raster here. And regardless of map update interval settings. Cache settings are the same in both 2.2 and 2.3 (off). (It also

reproduces when on-the-fly reprojection is turned off) ...

then better to attach here a full project and/or a screencast (to try better understand your issue).

#8 - 2014-06-01 12:46 PM - andskog -
- File qg23rastertest.qgs added
- File gg22rastertest.qgs added

I've attached QGIS 2.2 and 2.3 project files. Makes less sense to attach small (<5MB) raster file, as you (seems like it) have more powerful computers. But
the settings should all be there. (Tested with ETOPO1 raster, available here:
http://www.ngdc.noaa.gov/mgg/global/relief/ETOPO1/data/ice _surface/grid registered/georeferenced tifffETOPO1 Ice g geotiff.zip)

#9 - 2014-06-03 04:48 AM - Giovanni Manghi
- File raster.mp4 added

andskog - wrote:

I've attached QGIS 2.2 and 2.3 project files. Makes less sense to attach small (<5MB) raster file, as you (seems like it) have more powerful

computers. But the settings should all be there. (Tested with ETOPO1 raster, available here:
http://www.ngdc.noaa.gov/mgg/global/relief/ETOPO1/data/ice surface/grid_registered/georeferenced _tifffETOPO1 Ice g geotiff.zip)

see attached screencast

#10 - 2014-06-03 02:11 PM - andskog -
- File 23.mp4 added
- File 22.mp4 added
http://www.ngdc.noaa.gov/mgg/global/relief/ETOPO1/data/ice_surface/grid_registered/georeferenced_tiff/ETOPO1_Ice_g_geotiff.zip
http://www.ngdc.noaa.gov/mgg/global/relief/ETOPO1/data/ice_surface/grid_registered/georeferenced_tiff/ETOPO1_Ice_g_geotiff.zip

To me it seems kind of apparent in your screen capture too. I've attached mine. 2.2 takes ~1.3s, 2.3 takes ~2.3s. (The difference is there also when

zooming in on places not zoomed in to before.)

#11 - 2014-06-03 11:52 PM - Giovanni Manghi
- Status changed from Feedback to Open

#12 - 2014-06-28 07:45 AM - Jiirgen Fischer
- Target version changed from Version 2.4 to Future Release - High Priority

#13 - 2017-05-01 01:08 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#14 - 2019-03-09 04:04 PM - Giovanni Manghi
- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

Files

qg22rastertest.qgs 4.54 KB 2014-06-01 andskog -

qg23rastertest.qgs 4.64 KB 2014-06-01 andskog -

raster.mp4 1.83 MB 2014-06-03 Giovanni Manghi

22.mp4 252 KB 2014-06-03 andskog -

23.mp4 197 KB 2014-06-03 andskog -
